#!/usr/bin/env python3
# 11_datei_lesen_a.py

import sys

# Dateinamen als 1. Argument von Kommandozeile speichern
dateiName = sys.argv[1]
# versuchen, Datei zum Lesen mit Kodierung UTF-8 zu öffnen
try:
    datei = open('./' + dateiName, mode='r', encoding='utf-8')
# bei Fehler, Fehlermeldung ausgeben & Programm explizit beenden
except OSError as fehler:
    sys.exit(str(fehler))

# alle Zeilen aus Dateiobjekt auslesen    
Zeilen = datei.readlines()
# Datei manuell schließen
datei.close()
''' Zeilen in Schleife abarbeiten, aber dabei jeweils
über enumerate ein Tupel von Zeilennummer & Zeile erzeugen '''
for (num, zeile) in enumerate(Zeilen):
    # Nachricht mit Zeilennummer (zu Kette gewandelt) & Zeile ausgeben
    zeile = zeile.strip()
    print(f'Zeile Nummer {num+1} : {zeile}')