#!/usr/bin/env python3
# 12_datei_lesen_b.py

import sys

# Dateinamen als 1. Argument von Kommandozeile speichern
dateiName = sys.argv[1]
# versuchen, über with...as Datei zum Lesen mit Kodierung UTF-8 zu öffnen
try:
    with open('./' + dateiName, 'r', encoding='utf-8') as datei:
        # Dateiinhalt als Kette speichern
        dateiInhalt = datei.read()
# bei Fehler, Fehlermeldung ausgeben & Programm explizit beenden
except OSError as fehler:
    sys.exit(str(fehler))
for (num,zeile) in enumerate(dateiInhalt.splitlines()):
    print(f'Zeile Nummer {num+1:>2d} : {zeile}')