#!/usr/bin/env python3
# 16_verzeichnis_erstellen.py

import sys
from pathlib import Path

eingabeDatei = sys.argv[1]

pfad = Path.cwd()
neuesVerz = pfad / 'backup'
ausgabeDatei = neuesVerz / eingabeDatei

if not neuesVerz.exists():
    Path.mkdir(neuesVerz)
    print('Neues Verzeichnis', str(neuesVerz), 'angelegt')
else:
    print(str(neuesVerz), 'existiert schon.')

try:
    with open('./' + eingabeDatei,'r', encoding='utf-8') as ein, open(str(ausgabeDatei),'w',encoding='utf8') as aus:
        for zeile in ein:
            aus.write(zeile)
except OSError as fehler:
    sys.exit(fehler)