#!/usr/bin/env python3
# 17_einfache_muster.py

import sys
import re

suchbegriff = sys.argv[1]
gefunden = False

try:
    with open('./beispiel_saetze.txt', 'r', encoding='utf-8') as datei:
        for zeile in datei:
            ergebnis = re.search(suchbegriff, zeile)
            if ergebnis:
                (anfang,ende) = ergebnis.span()
                print(f'{zeile[:anfang]}[{ergebnis.group()}]{zeile[ende:]}', end='')
except OSError as fehler:
    sys.exit(str(fehler))